# Generated by Django 4.2.4 on 2023-10-10 07:36

import ceetutor.helper
from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import timezone_field.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='File',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('file', models.FileField(upload_to='tutor_certificates/')),
            ],
        ),
        migrations.CreateModel(
            name='Tutor',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('first_name', models.CharField(max_length=255)),
                ('last_name', models.CharField(max_length=255)),
                ('gender', models.CharField(choices=[('Male', 'Male'), ('Female', 'Female'), ('Other', 'Other')], default='Other', max_length=10)),
                ('time_zone', timezone_field.fields.TimeZoneField(default='UTC')),
                ('living_in', models.CharField(max_length=255)),
                ('nationality', models.CharField(max_length=255)),
                ('origin', models.CharField(max_length=255)),
                ('race', models.CharField(max_length=50)),
                ('teaching_experience', models.CharField(max_length=12)),
                ('topics', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=50), null=True, size=None)),
                ('certificate', models.CharField(max_length=20)),
                ('other_certificate', models.CharField(blank=True, max_length=255)),
                ('tutor_certificates', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=255), null=True, size=None)),
                ('tutor_accent', models.CharField(max_length=50)),
                ('tutor_video', models.FileField(blank=True, default=None, null=True, upload_to='tutor_certificates/')),
                ('status', models.CharField(choices=[('Active', 'Active'), ('Deactive', 'Deactive'), ('Approving', 'Approving'), ('Approved', 'Approved')], default='Active', max_length=10)),
                ('n_classes', models.IntegerField(default=0)),
                ('n_students', models.IntegerField(default=0)),
                ('teaching_style', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('about_me', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('education', models.CharField(blank=True, default='', max_length=255, null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            bases=(models.Model, ceetutor.helper.TimeSetup),
        ),
    ]
